Find calls
curl --request GET \
--url https://web-api.clerk.chat/public/calls \
--header 'apiKey: <api-key>'import requests
url = "https://web-api.clerk.chat/public/calls"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://web-api.clerk.chat/public/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://web-api.clerk.chat/public/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://web-api.clerk.chat/public/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://web-api.clerk.chat/public/calls")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://web-api.clerk.chat/public/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"conversationId": "00000000-0000-0000-0000-000000000000",
"userId": "00000000-0000-0000-0000-000000000000",
"callerNumber": "+14155550123",
"direction": "inbound",
"callStatus": "completed",
"callStatusReason": "hangup_participant",
"callStartTime": "2021-01-01T00:00:00.000Z",
"callEndTime": "2021-01-01T00:05:00.000Z",
"summary": "<string>",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z"
}
],
"total": 1,
"links": {
"next": "<string>",
"prev": "<string>",
"self": "<string>"
}
}Calls
Find calls
Find calls for the active team
GET
/
public
/
calls
Find calls
curl --request GET \
--url https://web-api.clerk.chat/public/calls \
--header 'apiKey: <api-key>'import requests
url = "https://web-api.clerk.chat/public/calls"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://web-api.clerk.chat/public/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://web-api.clerk.chat/public/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://web-api.clerk.chat/public/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://web-api.clerk.chat/public/calls")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://web-api.clerk.chat/public/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"conversationId": "00000000-0000-0000-0000-000000000000",
"userId": "00000000-0000-0000-0000-000000000000",
"callerNumber": "+14155550123",
"direction": "inbound",
"callStatus": "completed",
"callStatusReason": "hangup_participant",
"callStartTime": "2021-01-01T00:00:00.000Z",
"callEndTime": "2021-01-01T00:05:00.000Z",
"summary": "<string>",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z"
}
],
"total": 1,
"links": {
"next": "<string>",
"prev": "<string>",
"self": "<string>"
}
}Authorizations
Query Parameters
Filter calls by the phone number that initiated the call
Filter calls by the inbox they belong to
Filter calls by one or more statuses
The status of the call
Available options:
busy, cancelled, completed, failed, in_progress, no_answer, queued Filter calls by direction Whether the call was inbound or outbound
Available options:
inbound, outbound Only calls that started after this date until the end date or now
Only calls that started up to this date
Number of items to return (max 50)
Page number